"use strict";

require("core-js/modules/es.object.define-property.js");
var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Doc = void 0;
require("core-js/modules/web.timers.js");
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = require("react");
var _ = require(".");
var _type = require("../icon/type");
var _jsxRuntime = require("react/jsx-runtime");
var meta = {
  title: 'Components/IconText',
  tags: ['autodocs'],
  component: _.IconText,
  args: {
    styles: {
      display: 'flex'
    }
  },
  argTypes: {}
};
var Doc = exports.Doc = function Doc(props) {
  var styles = props.styles;
  var _useState = (0, _react.useState)(true),
    _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
    basicVisible = _useState2[0],
    setBasicVisible = _useState2[1];
  var handleChange = function handleChange(val) {
    if (!val) {
      setBasicVisible(false);
    }
  };
  (0, _react.useEffect)(function () {
    if (!basicVisible) {
      var timerId = setTimeout(function () {
        setBasicVisible(true);
        clearTimeout(timerId);
      }, 2 * 1000);
    }
  }, [basicVisible]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      padding: 50,
      border: 'solid 0.5px #e5e7eb'
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      style: {
        width: 200,
        marginBottom: 50,
        display: 'flex',
        flexDirection: 'column'
      },
      children: ["Basic:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_.IconText, {
        icon: _type.FcrIconType.FCR_SETTING_NONE,
        colors: {
          iconPrimary: 'var(--fcr_ui_scene_icontext1)'
        },
        txt: "\u5168\u4F53\u7981\u8A00"
      })]
    })
  });
};
var _default = exports["default"] = meta;