/// <reference types="react" />
import './index.css';
import { User } from './attendee';
export interface ParticipantProps {
    type: 'window' | 'modal';
    userList: User[];
    header?: React.ReactNode;
    footer?: React.ReactNode;
    perspectiveType?: 'host' | 'attendee' | 'cohost';
    userRenderer?: (user: User) => React.ReactNode;
    toggleParticipantAction?: (action: string, userId?: string, data?: any) => void;
    toggleRoomControlAction?: (action: string, userId?: string) => void;
    onSearch: (value: string) => void;
    searchText?: string;
    onInvite?: () => void;
}
export declare const FcrParticipants: (props: ParticipantProps) => import("react/jsx-runtime").JSX.Element;
