import React, { CSSProperties } from 'react';
import './index.css';
export interface LatestButtonProps {
    txt: string;
    styles?: CSSProperties;
    iconTransform?: boolean;
    direction?: 'top' | 'bottom';
    onClick?: () => void;
}
export declare const LatestButton: React.ForwardRefExoticComponent<LatestButtonProps & {
    children?: React.ReactNode;
} & React.RefAttributes<{
    dom: HTMLDivElement | null;
}>>;
